Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.metadata.identification
Interface AggregateInformation

    @UML(identifier="MD_AggregateInformation",
         specification=ISO_19115)
    public interface AggregateInformation

Aggregate dataset information.

Since:
  GeoAPI 2.1

Method Summary
`Identifier` | `getAggregateDataSetIdentifier()` Identification information about aggregate dataset.
`Citation` | `getAggregateDataSetName()` Citation information about the aggregate dataset.
`AssociationType` | `getAssociationType()` Association type of the aggregate dataset.
`InitiativeType` | `getInitiativeType()` Type of initiative under which the aggregate dataset was produced.

Method Detail

### getAggregateDataSetName

    @UML(identifier="aggregateDataSetName",
         obligation=CONDITIONAL,
         specification=ISO_19115)
    Citation getAggregateDataSetName()

  Citation information about the aggregate dataset.

### getAggregateDataSetIdentifier

    @UML(identifier="aggregateDataSetIdentifier",
         obligation=CONDITIONAL,
         specification=ISO_19115)
    Identifier getAggregateDataSetIdentifier()

  Identification information about aggregate dataset.

### getAssociationType

    @UML(identifier="associationType",
         obligation=MANDATORY,
         specification=ISO_19115)
    AssociationType getAssociationType()

  Association type of the aggregate dataset.

### getInitiativeType

    @UML(identifier="initiativeType",
         obligation=OPTIONAL,
         specification=ISO_19115)
    InitiativeType getInitiativeType()

  Type of initiative under which the aggregate dataset was produced.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.